HttpRequest::setQueryData
HttpRequest::setSslOptions
The HttpRequest
PHP Manual

# HttpRequest::setRawPostData

(PECL pecl_http:0.14.0-1.4.1)

HttpRequest::setRawPostData — Set raw post data

### Description

public bool HttpRequest::setRawPostData ([ string `$raw_post_data` ] )

Set raw post data to send, overwriting previously set raw post data. Don't forget to specify a content type. Affects only POST and custom requests.

Only either post fields or raw post data can be used for each request. Raw post data has higher precedence and will be used even if post fields are set.

### Parameters

`raw_post_data`

  raw post data

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setQueryData
HttpRequest::setSslOptions
The HttpRequest
PHP Manual